/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

:root {
    --product-card-picture-mask-color: #f5f5f5;
    --product-card-color-border-color: #efefef;
    --product-cart-picture-label-background: rgba(255, 255, 255, 0.7);
}

.ProductCard {
    min-width: 0;
    padding-left: 0;

    &::before {
        content: none;
    }

    &:last-child {
        margin-bottom: 0.6rem;
    }

    &-Content {
        display: flex;
        padding: 1rem;
        padding-top: 23px;
        flex-wrap: wrap;
    }

    &-Name,
    &-Brand {
        overflow: hidden;
        width: 100%;
        max-width: 100%;
        font-size: 0.9rem;
        white-space: nowrap;

        &_isLoaded {
            text-overflow: ellipsis;
        }

        @include after-mobile {
            font-size: 14px;
            line-height: 1.3;
        }
    }

    &-Name {
        @include after-mobile {
            margin-top: 0.5rem;
        }
    }

    &-Brand {
        opacity: 0.5;
        font-weight: 300;

        &_placeholder {
            height: 18px;
        }

        @include mobile {
            font-size: 12px;
            line-height: 1;

            &_placeholder {
                height: 12px;
            }
        }
    }

    &-Picture {
        padding-bottom: 120%;
    }

    &-PictureMissing {
        width: 100%;
        height: 20px;
        margin: auto;
        position: absolute;
        top: 0;
        bottom: 0;
        text-align: center;
    }

    &-Reviews {
        // --product-rating-size: 12px;
        display: none;
    }

    &-ConfigurableOptions {
        display: flex;
        flex-grow: 1;
        align-items: center;
        justify-content: flex-end;
    }

    &-Color {
        --product-card-color-size: 9px;

        @include after-mobile {
            --product-card-color-size: 10px;
        }

        display: inline-block;
        overflow: hidden;
        width: var(--product-card-color-size);
        height: var(--product-card-color-size);
        border: 1px solid var(--product-card-color-border-color);
        border-radius: 50%;
        margin-left: calc(var(--product-card-color-size) / 3);
    }

    &-Price {
        @include after-mobile {
            font-size: 20px;
        }
    }

    &-PriceBadge {
        margin-right: 5px;
        position: absolute;
        top: 7px;
        color: var(--secondary-dark-color);
        font-size: 10px;
    }

    &-Figure {
        flex-grow: 0;
    }

    &-Link {
        flex-direction: column;
        color: inherit;

        &:hover,
        &:focus {
            text-decoration: none;
        }
    }

    p {
        margin-bottom: 0;
    }

    .TextPlaceholder,
    .Image_isPlaceholder {
        opacity: 0;
        animation: appear 100ms 300ms forwards;
    }
}
